Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1114244 - [RFE] Admin GUI: Sort by 'IP address' (in VM tab) should not treat the IP address as a string
Summary: [RFE] Admin GUI: Sort by 'IP address' (in VM tab) should not treat the IP add...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: All
OS: Windows
low
medium
Target Milestone: ---
: 3.5.0
Assignee: Lior Vernia
QA Contact: Michael Burman
URL:
Whiteboard: network
: 1114242 (view as bug list)
Depends On: 590413 893999
Blocks: 1114242 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-29 07:38 UTC by Lior Vernia
Modified: 2016-02-10 19:48 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 590413
Environment:
Last Closed: 2015-02-11 18:04:51 UTC
oVirt Team: Network
Target Upstream Version:
nyechiel: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 28272 None None None Never

Description Lior Vernia 2014-06-29 07:38:30 UTC
+++ This bug was initially created as a clone of Bug #590413 +++

Description of problem:
If I click on the VMs tab on the 'IP address' header, the sort is done as if it was a text field:
10.35.113.9
10.35.113.30
10.35.113.3
10.35.113.16

where one would expect the order to be:
10.35.113.30
10.35.113.16
10.35.113.9
10.35.113.3


Version-Release number of selected component (if applicable):
sm62

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

--- Additional comment from Yaniv Kaul on 2010-05-09 10:06:14 EDT ---

I thought it was a bug.
And Max reminded me that also the name sort is not done quite correctly. It should be done in 'natural' order (http://www.codinghorror.com/blog/2007/12/sorting-for-humans-natural-sort-order.html)

--- Additional comment from Itamar Heim on 2012-01-05 05:54:21 EST ---

not sure if this should be fixed at UI level or search sort level

--- Additional comment from Lior Vernia on 2012-12-30 08:13:24 EST ---

As far as I can see, the IP header is not clickable (anymore?) so the bug is irrelevant (or maybe just obsolete). Yaniv?

--- Additional comment from Yaniv Kaul on 2012-12-30 08:46:31 EST ---

(In reply to comment #3)
> As far as I can see, the IP header is not clickable (anymore?) so the bug is
> irrelevant (or maybe just obsolete). Yaniv?

There should be a bug that in the move from the old UI to the old one we've lost all sorting per headers :(
Einav?

--- Additional comment from Einav Cohen on 2013-01-10 08:56:49 EST ---

(In reply to comment #4)
> (In reply to comment #3)
> > As far as I can see, the IP header is not clickable (anymore?) so the bug is
> > irrelevant (or maybe just obsolete). Yaniv?
> 
> There should be a bug that in the move from the old UI to the old one we've
> lost all sorting per headers :(
> Einav?

That's right - when solving bug 893999, need to keep this bug in mind -> putting bug 893999 as a blocker to this one.

--- Additional comment from Einav Cohen on 2013-01-10 09:47:14 EST ---

(In reply to comment #2)
> not sure if this should be fixed at UI level or search sort level

as long as the UI sort and the backend sort are not "connected" - it should be fixed in both (assuming the search-language allows sorting according to ip-address), in order to prevent inconsistent behavior.

worth considering consolidating the two, maybe in the context of blocking bug 893999.

--- Additional comment from Sven Kieske on 2014-04-25 11:04:00 EDT ---

I'm not sure this one should be closed yet?

--- Additional comment from Lior Vernia on 2014-04-27 03:05:17 EDT ---

Well, it's basically fixed. The bug blocking this is about to be fixed, while the backend sorting by IP had been fixed as part of Bug 895468. So whenever the blocker bug is fixed, this could be moved to ON_QA for verification, or alternatively forgotten :)

--- Additional comment from Lior Vernia on 2014-05-28 09:15:57 EDT ---

Sven, I was actually too quick to respond, you're right and this should be reopened - there's still a little wiring missing for this to work by clicking on the column header.

Comment 1 Lior Vernia 2014-06-29 07:47:57 UTC
*** Bug 1114242 has been marked as a duplicate of this bug. ***

Comment 3 Meni Yakove 2014-07-17 07:14:29 UTC
ovirt-engine-3.5.0-0.0.master.20140715172116.git4687dc1.el6.noarch

Comment 5 errata-xmlrpc 2015-02-11 18:04:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.